Subject: bug#49278: [External] : bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: Drew Adams <[email-masked]>
Date: Sat, 25 Sep 2021 01:13:45 +0000

> No, we never decided on the wording, so only the change to the
> docstring
> was installed.
> 
> > I think saying "programs written in Common Lisp" is good, and leaving
> > the "ancestor dialects" part out of it.
> 
> I agree.  That's Stefan M.'s position too.  But it's not Eli's.
> 
> João
> 
> PS: Instead of "ancestor dialects", we could also say "related
> dialects"
> if that is somewhat seen as a better middle ground.

I would just say "some Lisps, such as Common Lisp".

No talk of "ancestors", no suggestion of something
being newer or older, no suggestion that it is only
for "dialects" similar to Common Lisp.

If you want to specifically say something concrete
about its differences from other modes that support
other Lisps, do so.  If this mode is not particularly
appropriate for some dialects, maybe say why, or call
out those dialects.

If, as has been claimed, the change in language is
to avoid misunderstanding and misleading, then do
that, really.  Don't wave hands or beat around the
bush.  Be concrete and helpful.

Just one opinion, ignorant of the details - about
both the languages hinted at and the mode features
that make it (in)appropriate for this or that Lisp.